/*
 * Copyright (c) 2004, 2005 Sendmail, Inc. and its suppliers.
 *	All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 * $Id: s2m.h,v 1.9 2005/05/12 01:18:24 ca Exp $
 */

#ifndef SMTPS_S2M_H
#define SMTPS_S2M_H 1

#include "sm/generic.h"
#include "sm/reccom.h"
#include "statethreads/st.h"
#include "sm/rcbst.h"
#include "smtps.h"
#include "sm/qmgrcomm.h"

#if SM_USE_PMILTER
extern sm_ret_T	 sm_s2m_clt(ss_sess_P _ss_sess, s2q_ctx_P _s2m_ctx, int _smtps_id, sessta_id_P _sid, uint32_t _cltipv4, ushort port);
extern sm_ret_T	 sm_s2m_helo(ss_sess_P _ss_sess, s2q_ctx_P _s2m_ctx, int _smtps_id, sessta_id_P _sid);
extern sm_ret_T	 sm_s2m_mail(ss_sess_P _ss_sess, s2q_ctx_P _s2m_ctx, int _smtps_id, sessta_id_P _sid, sessta_id_P _tid, sm_str_P _mail, uint argoffset);
extern sm_ret_T	 sm_s2m_rcpt(ss_sess_P _ss_sess, s2q_ctx_P _s2m_ctx, int _smtps_id, sessta_id_P _sid, int _rcpt_idx, sm_str_P _rcpt);
extern sm_ret_T	 sm_s2m_data(ss_sess_P _ss_sess, s2q_ctx_P _s2m_ctx, int _smtps_id, sessta_id_P _sid);
extern sm_ret_T	 sm_s2m_body(ss_sess_P _ss_sess, s2q_ctx_P _s2m_ctx, int _smtps_id, sessta_id_P _sid, uchar *_buf, size_t _len, bool _last);
extern sm_ret_T	 sm_s2m_abort(ss_sess_P _ss_sess, s2q_ctx_P _s2m_ctx, int _smtps_id, sessta_id_P _sid);
extern sm_ret_T	 sm_s2m_cseid(ss_sess_P _ss_sess, s2q_ctx_P _s2m_ctx, int _smtps_id, sessta_id_P _sid);

#endif /* SM_USE_PMILTER */

#endif /* SMTPS_S2M_H */
