/*
 * Copyright (c) 2004 Sendmail, Inc. and its suppliers.
 *      All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 *	$Id: cnf.h,v 1.1 2004/12/14 23:49:43 ca Exp $
 */

#ifndef SM_CNF_H
#define SM_CNF_H 1

/* field names for event thread related configuration options */
#define EVTHR_CNF_MIN_THR	"min_threads"
#define EVTHR_CNF_MAX_THR	"max_threads"
#define EVTHR_CNF_MAX_FD	"max_fds"

/* comments for event thread related configuration options */
#define EVTHR_COMM_MIN_THR "minimum number of threads [experts only]"
#define EVTHR_COMM_MAX_THR "maximum number of threads [experts only]"
#define EVTHR_COMM_MAX_FD "maximum number of file descriptors [experts only]"

#endif /* SM_CNF_H */
